<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [CodingContract](./bitburner.codingcontract.md)

## CodingContract interface

Coding Contract API

**Signature:**

```typescript
export interface CodingContract 
```

## Methods

|  Method | Description |
|  --- | --- |
|  [attempt(answer, filename, host)](./bitburner.codingcontract.attempt.md) | Attempts a coding contract, returning a reward string on success or empty string on failure. |
|  [createDummyContract(type)](./bitburner.codingcontract.createdummycontract.md) | Generate a dummy contract. |
|  [getContractType(filename, host)](./bitburner.codingcontract.getcontracttype.md) | Get the type of a coding contract. |
|  [getContractTypes()](./bitburner.codingcontract.getcontracttypes.md) | List all contract types. |
|  [getData(filename, host)](./bitburner.codingcontract.getdata.md) | Get the input data. |
|  [getDescription(filename, host)](./bitburner.codingcontract.getdescription.md) | Get the description. |
|  [getNumTriesRemaining(filename, host)](./bitburner.codingcontract.getnumtriesremaining.md) | Get the number of attempts remaining. |

